CREATE VIEW "brand_hub_episodes_by_download_metadata" AS
SELECT
    download_metadata.download_batch_id,
    brand_hub_episodes.*,
    brand_hub.title as brand_title,
    brand_hub.summary as brand_summary,
    brand_hub.programme_type as brand_programme_type,
    brand_hub.channel as brand_channel
FROM brand_hub_episodes INNER JOIN download_metadata
ON brand_hub_episodes.programme_id = download_metadata.download_metadata_programme_id
INNER JOIN brand_hub
ON brand_hub_episodes.brand_hub_web_safe_title = brand_hub.web_safe_title;

CREATE VIEW "brand_hub_assets_by_download_metadata" AS
SELECT
    download_metadata.download_batch_id,
    brand_hub_episodes_assets.*
FROM brand_hub_episodes_assets INNER JOIN download_metadata
ON brand_hub_episodes_assets.episode_programme_id = download_metadata.download_metadata_programme_id;
