DROP TABLE IF EXISTS 'watch_live_availability_items';
DROP TABLE IF EXISTS 'short';

CREATE TABLE 'watch_live_availability_items' (
                                _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
                                distribution TEXT NOT NULL,
                                start_date_time TEXT NOT NULL,
                                end_date_time TEXT NOT NULL,
                                title TEXT NOT NULL,
                                SUMMARY TEXT NOT NULL,
                                SIMULCAST_URL TEXT NOT NULL,
                                IMAGE_URL TEXT NOT NULL,
                                EPISODE_NUMBER INTEGER NOT NULL DEFAULT 0,
                                SERIES_NUMBER INTEGER NOT NULL DEFAULT 0,
                                UNIQUE (distribution, title, start_date_time) ON CONFLICT REPLACE
);


CREATE TABLE IF NOT EXISTS 'short' (
                                _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
                                short_title TEXT NOT NULL,
                                short_summary TEXT NOT NULL,
                                external_video_id TEXT NOT NULL,
                                series_number INTEGER NOT NULL,
                                episode_number INTEGER NOT NULL,
                                short_image_url TEXT NOT NULL,
                                short_type TEXT NOT NULL,
                                short_duration TEXT NOT NULL,
                                source_page TEXT NOT NULL,
                                guidance_message TEXT,
                                age_rating TEXT DEFAULT "0",
                                UNIQUE (external_video_id) ON CONFLICT REPLACE
);
