DROP TABLE IF EXISTS 'search_result';

CREATE TABLE 'search_result' (
                                _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
                                brand_title TEXT NOT NULL,
                                brand_encoded_title TEXT NOT NULL,
                                search_query TEXT NOT NULL,
                                search_time_date TEXT NOT NULL DEFAULT "0",
                                user_name TEXT NOT NULL,
                                UNIQUE (brand_title, user_name) ON CONFLICT REPLACE
);
