CREATE TABLE 'brand_hub' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    web_safe_title TEXT NOT NULL,
    title TEXT NOT NULL,
    summary TEXT NOT NULL,
    programme_type TEXT NOT NULL,
    channel TEXT NOT NULL,
    UNIQUE (web_safe_title) ON CONFLICT REPLACE
);

CREATE TABLE 'brand_hub_series' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    brand_hub_web_safe_title TEXT NOT NULL,
    title TEXT NOT NULL,
    summary TEXT NOT NULL,
    series_number INTEGER NOT NULL,
    image_url TEXT NOT NULL
);
