CREATE TABLE 'brand_hub_episodes_order' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_programme_id TEXT NOT NULL,
    episode_order INTEGER NOT NULL
);

CREATE INDEX brand_hub_episodes_order_episode_programme_id ON brand_hub_episodes_order(episode_programme_id);

CREATE VIEW 'brand_hub_ordered_episodes' AS
SELECT brand_hub_episodes.*, brand_hub_episodes_order.episode_order
FROM brand_hub_episodes INNER JOIN brand_hub_episodes_order
ON brand_hub_episodes.programme_id = brand_hub_episodes_order.episode_programme_id;
