CREATE TABLE 'brand_hub_extras' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    brand_hub_web_safe_title TEXT NOT NULL,
    external_video_id TEXT NOT NULL,
    title TEXT NOT NULL,
    web_safe_title TEXT NOT NULL,
    summary TEXT NOT NULL,
    image_url TEXT NOT NULL,
    extra_type TEXT NOT NULL,
    series_number INTEGER,
    episode_number INTEGER,
    age_rating INTEGER NOT NULL,
    guidance_message TEXT,
    duration_length INTEGER NOT NULL,
    duration_label TEXT NOT NULL
);

CREATE INDEX brand_hub_extras_brand_hub_web_safe_title ON brand_hub_extras(brand_hub_web_safe_title);
