CREATE TABLE 'brand_hub_episodes_extras' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    web_safe_title TEXT NOT NULL,
    series_number INTEGER NOT NULL,
    episode_number INTEGER NOT NULL,
    external_video_id TEXT NOT NULL,
    title TEXT NOT NULL,
    summary TEXT NOT NULL,
    image_url TEXT,
    extra_type TEXT NOT NULL,
    age_rating INTEGER NOT NULL,
    guidance_message TEXT,
    duration_length INTEGER NOT NULL,
    duration_label TEXT NOT NULL
);

CREATE INDEX brand_hub_episodes_extras_episode_external_video_id ON brand_hub_episodes_extras(external_video_id);
