CREATE TEMPORARY TABLE 'brand_hub_asset_info_subtitles_backup' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    asset_id TEXT NOT NULL,
    subtitle TEXT NOT NULL,
    UNIQUE (asset_id, subtitle) ON CONFLICT REPLACE
);

INSERT INTO brand_hub_asset_info_subtitles_backup (
    asset_id,
    subtitle
) SELECT
    asset_id,
    subtitle
FROM brand_hub_asset_info_subtitles;

DROP TABLE brand_hub_asset_info_subtitles;

CREATE TABLE 'brand_hub_asset_info_subtitles' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    asset_id TEXT NOT NULL,
    subtitle TEXT NOT NULL,
    UNIQUE (asset_id, subtitle) ON CONFLICT REPLACE
);

INSERT INTO brand_hub_asset_info_subtitles (
    asset_id,
    subtitle
) SELECT
    asset_id,
    subtitle
FROM brand_hub_asset_info_subtitles_backup;

CREATE INDEX asset_info_subtitles_external_asset_id ON brand_hub_asset_info_subtitles(asset_id);
