DROP TABLE 'config';

CREATE TABLE 'config' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    config_data TEXT NOT NULL
);

DROP TABLE 'category';
CREATE TABLE IF NOT EXISTS 'category' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    category_id TEXT NOT NULL,
    category_title TEXT NOT NULL,
    category_transmission_date_link TEXT NOT NULL,
    category_web_safe_title TEXT NOT NULL,
    UNIQUE (category_id, category_title) ON CONFLICT REPLACE
);

DROP VIEW 'asset_info_with_episodes';
DROP TABLE 'asset_information_video';
